Bug 1202885 (CVE-2014-9701) - CVE-2014-9701 mantis: XSS issue in MantisBT permalink_page.php
Summary: CVE-2014-9701 mantis: XSS issue in MantisBT permalink_page.php
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2014-9701
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1202886
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-17 15:53 UTC by Martin Prpič
Modified: 2019-09-29 13:30 UTC (History)
1 user (show)

Fixed In Version: MantisBT 1.2.19, MantisBT 1.3.0-beta.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:39:58 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-03-17 15:53:29 UTC
MantisBT's permalink_page.php builds a permanent link to a configured filter. Using a crafted URL, an attacker can make this link execute arbitrary JavaScript code in the user's browser. 

Upstream patches:

https://github.com/mantisbt/mantisbt/commit/d95f070d (1.2.x)
https://github.com/mantisbt/mantisbt/commit/e7e2b550 (1.3.x)

Additional information (along with a link to upstream issues):

http://seclists.org/oss-sec/2015/q1/842

Comment 1 Martin Prpič 2015-03-17 15:53:43 UTC
Created mantis tracking bugs for this issue:

Affects: fedora-all [bug 1202886]

Comment 2 Product Security DevOps Team 2019-06-08 02:39:58 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.